MsWksDBParser.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWHeader.hxx"`
`#include "MWAWOLEParser.hxx"`
`#include "MWAWPrinter.hxx"`
`#include "MWAWSpreadsheetListener.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MsWksGraph.hxx"`
`#include "MsWks3Text.hxx"`
`#include "MsWksDocument.hxx"`
`#include "MsWksDBParser.hxx"`

## Classes
class | MsWksDBParserInternal::SerialFormula
| a class to store the serial data which code a auto increment column with potential prefix and suffix in v4. More...
class | MsWksDBParserInternal::FieldType
| the type of each field More...
class | MsWksDBParserInternal::DataBase
| the database More...
class | MsWksDBParserInternal::FormType
| a class used to store a form More...
class | MsWksDBParserInternal::Form
| a class used to store a form More...
class | MsWksDBParserInternal::Forms
| a class used to store a list of forms More...
struct | MsWksDBParserInternal::State
| Internal: the state of a MsWksDBParser. More...
class | MsWksDBParserInternal::SubDocument
| Internal: the subdocument of a MsWksDBParser. More...

## Namespaces
namespace | MsWksDBParserInternal
| Internal: the structures of a MsWksDBParser.

## Enumerations
enum | MsWksDBParserInternal::FormVisibility { MsWksDBParserInternal::V_VALUE , MsWksDBParserInternal::V_NAMEVALUE , MsWksDBParserInternal::V_HIDDEN , MsWksDBParserInternal::V_HEADER , MsWksDBParserInternal::V_UNDEF , MsWksDBParserInternal::V_UNKNOWN }

## Functions
std::ostream & | MsWksDBParserInternal::operator<< (std::ostream &o, SerialFormula const &form)
| operator<<
std::ostream & | MsWksDBParserInternal::operator<< (std::ostream &o, FieldType const &fType)
std::ostream & | MsWksDBParserInternal::operator<< (std::ostream &o, FormType const &form)
| operator<<
std::ostream & | MsWksDBParserInternal::operator<< (std::ostream &o, Form const &form)
| operator<<
std::ostream & | MsWksDBParserInternal::operator<< (std::ostream &o, Forms const &form)
| operator<<